package at.ac.uibk.gitsearch.service;

import at.ac.uibk.gitsearch.domain.User;
import at.ac.uibk.gitsearch.repository.jpa.AuthorityRepository;
import at.ac.uibk.gitsearch.repository.jpa.UserRepository;
import java.util.List;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Service
@Transactional
public class AuthorityService {

    private final Logger log = LoggerFactory.getLogger(AuthorityService.class);

    private final AuthorityRepository authorityRepository;

    private final UserRepository userRepository;

    public AuthorityService(UserRepository userRepository, AuthorityRepository authorityRepository) {
        this.userRepository = userRepository;
        this.authorityRepository = authorityRepository;
    }

    // Get all users with authority ROLE_REVIEW_MANAGER
    List<User> findAllUsersWithAuthority(String authority) {
        return authorityRepository.findAllUsersWithAuthority(authority);
    }
}
