import { browser, ExpectedConditions as ec /* , promise */ } from 'protractor';
import { NavBarPage, SignInPage } from '../../page-objects/jhi-page-objects';

import {
  WatchListEntryComponentsPage,
  /* WatchListEntryDeleteDialog, */
  WatchListEntryUpdatePage,
} from './watch-list-entry.page-object';

const expect = chai.expect;

describe('WatchListEntry e2e test', () => {
  let navBarPage: NavBarPage;
  let signInPage: SignInPage;
  let watchListEntryComponentsPage: WatchListEntryComponentsPage;
  let watchListEntryUpdatePage: WatchListEntryUpdatePage;
  const username = process.env.E2E_USERNAME ?? 'admin';
  const password = process.env.E2E_PASSWORD ?? 'search@admin';

  before(async () => {
    browser.get('/login');
    await browser.sleep(2000);
    navBarPage = new NavBarPage();
    signInPage = navBarPage.getSignInPage();
    await signInPage.autoSignInUsing(username, password);
    await browser.wait(ec.visibilityOf(navBarPage.entityMenu), 5000);
  });

  it('should load WatchListEntries', async () => {
    await navBarPage.goToEntity('watch-list-entry');
    watchListEntryComponentsPage = new WatchListEntryComponentsPage();
    await browser.wait(ec.visibilityOf(watchListEntryComponentsPage.title), 5000);
    expect(await watchListEntryComponentsPage.getTitle()).to.eq('gitsearchApp.watchListEntry.home.title');
    await browser.wait(
      ec.or(ec.visibilityOf(watchListEntryComponentsPage.entities), ec.visibilityOf(watchListEntryComponentsPage.noResult)),
      10000
    );
  });

  it('should load create WatchListEntry page', async () => {
    await watchListEntryComponentsPage.clickOnCreateButton();
    watchListEntryUpdatePage = new WatchListEntryUpdatePage();
    expect(await watchListEntryUpdatePage.getPageTitle()).to.eq('gitsearchApp.watchListEntry.home.createOrEditLabel');
    await watchListEntryUpdatePage.cancel();
  });

  after(async () => {
    await navBarPage.autoSignOut();
  });
});
